: Class StringUtil

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Util
Class StringUtil

    java.lang.Object
      |
      +--com.mortbay.Util.StringUtil

public class StringUtil
extends java.lang.Object

Constructor Summary
`StringUtil()`

Method Summary
`static java.lang.String` | `asciiToLowerCase(java.lang.String s)` fast lower case conversion.
`static int` | `indexFrom(java.lang.String s, java.lang.String chars)` returns the next index of a character from the chars string
`static void` | `main(java.lang.String[] args)` Test main
`static java.lang.String` | `replace(java.lang.String s, java.lang.String sub, java.lang.String with)` replace substrings within string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### asciiToLowerCase

    public static java.lang.String asciiToLowerCase(java.lang.String s)

  fast lower case conversion. Only works on ascii (not unicode)
  Parameters:
    `s` - the string to convert
  Returns:
    a lower case version of s

### indexFrom

    public static int indexFrom(java.lang.String s,
                                java.lang.String chars)

  returns the next index of a character from the chars string

### replace

    public static java.lang.String replace(java.lang.String s,
                                           java.lang.String sub,
                                           java.lang.String with)

  replace substrings within string.

### main

    public static void main(java.lang.String[] args)

  Test main
  Parameters:
    `args` - args

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD